read.affybatch2 {affxparser} | R Documentation

## Read CEL files into an Affybatch

### Description

Read CEL files into an Affybatch. An implemetation build on the affxparser package.

### Usage

    read.affybatch2(..., filenames = character(0),
                    phenoData = new("phenoData"),
                    description = NULL, notes = "",
                    compress = getOption("BioC")$affy$compress.cel,
                    rm.mask = FALSE, rm.outliers = FALSE,
                    rm.extra = FALSE, verbose = FALSE)

### Arguments

`...` | file names separated by comma.
`filenames` | file names in a character vector.
`phenoData` | a `phenoData` object
`description` | a `MIAME` object
`notes` | notes.
`compress` | Not currently supported.
`rm.mask` | Not currently supported.
`rm.outliers` | Not currently supported.
`rm.extra` | Not currently supported.
`verbose` | verbosity flag.

### Details

### Value

An `AffyBatch` object.

### Author(s)

The author of the original `read.affybatch` function: Ben Bolstad, bolstad@stat.berkeley.edu as well as James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen khansen@stat.berkeley.edu

### See Also

`read.affybatch` in affy as well as `read.cel.intensities` and `read.cel.complete`.

### Examples

[Package affxparser version 1.2.0 Index]